name: Build Android APK
on:
  pull_request:
jobs:
  build-android:
    runs-on: macos-15
    steps:
      - name: 🛒 Checkout
        uses: actions/checkout@v4

      - name: 🖥 Setup Node 20
        uses: actions/setup-node@v4
        with:
          node-version: 20

      - name: 💬 Echo package.json version to Github ENV
        run: echo VERSION_NUMBER=$(node -p -e "require('./package.json').version") >> $GITHUB_ENV

      - name: 🤖 Run yarn init-android
        run: yarn init-android
      
      - name: 🚀 Run fastlane build
        run: yarn fastlane:android:build
